#
# spec file for package python-jdcal
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jdcal
Version:        1.4.1
Release:        bp153.1.27
Summary:        Julian dates from proleptic Gregorian and Julian calendars
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://github.com/phn/jdcal
Source:         https://files.pythonhosted.org/packages/source/j/jdcal/jdcal-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
BuildArch:      noarch

%python_subpackages

%description
This module contains functions for converting between Julian dates and
calendar dates.

A function for converting Gregorian calendar dates to Julian dates, and
another function for converting Julian calendar dates to Julian dates
are defined. Two functions for the reverse calculations are also
defined.

%prep
%setup -q -n jdcal-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed May 22 2019 pgajdos@suse.com
- version update to 1.4.1
  * Remove testing for Python 2.6 and 3.3.
  * Added testing for Python 3.7.
  * Removed unused function `fpart`.
- use pytest macro
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Aug  7 2018 toddrme2178@gmail.com
- Update to 1.4
  * Universal wheel distribution.
  * Test to compare gcal2jd with astropy._erfa.cal2jd.
  * Add more Python versions on Travis.
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 1.3
- Implement single-spec version.
* Thu Dec 10 2015 bruno@ioda-net.ch
- Update to upstream 1.2 version
* Tue Nov 18 2014 toddrme2178@gmail.com
- Initial version
